"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.compressBatch = void 0;
const tinify_1 = __importDefault(require("tinify"));
const compress_1 = require("./compress");
exports.compressBatch = async (images, params) => {
    const { verbose, "max-count": maxCount, "in-place": inPlace, output, "dry-run": dryRun } = params;
    const results = await Promise.all(images.map(img => compress_1.compress(img, {
        tinify: tinify_1.default,
        output,
        verbose,
        maxCount,
        inPlace,
        dryRun,
    })));
    return results;
};
