"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.decorated = void 0;
const colors_1 = require("../constants/colors");
const timeMarkers = [];
exports.decorated = {
    time: (label) => {
        timeMarkers.push({ label, start: Date.now() });
    },
    timeEnd: (label) => {
        const index = timeMarkers.findIndex(marker => marker.label === label);
        if (index === -1) {
            console.error('no label matched:', label);
            return;
        }
        const marker = timeMarkers[index];
        const time = Date.now() - marker.start;
        const badge = time < 2048 ? '🚀' : '🐌';
        console.info(`${badge}`, label, time, 'ms', colors_1.EOS);
        timeMarkers.splice(index, 1);
    },
    success: (...args) => {
        return console.info(`${colors_1.GREEN}✔ `, ...args, colors_1.EOS);
    },
    info: (...args) => {
        return console.info(`👀`, ...args, colors_1.EOS);
    },
    warn: (...args) => {
        return console.warn(`${colors_1.YELLOW}⚠️ `, ...args, colors_1.EOS);
    },
    error: (...args) => {
        return console.error(`${colors_1.RED}✖ `, ...args, colors_1.EOS);
    },
};
